Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	amarok is a KDE based audio Player.
Name:      	amarok
Version:   	1.4.10
Release:   	1
License: 	GNU/GPL
URL:		http://amarok.kde.org
Group:     	Multimedia/Audio
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires:	taglib >= 1.3.1
Requires:	kdelibs3
#Requires:	kdemultimedia
Requires:	xine-lib
Requires:	libvisual
Requires:	ruby

BuildRequires:	taglib-devel >= 1.3.1
BuildRequires:	kdelibs3-devel
#BuildRequires:	kdemultimedia-devel
BuildRequires:	arts-devel
BuildRequires:	xmms-devel
BuildRequires:	xine-lib-devel
BuildRequires:	pcre-devel
BuildRequires:	libvisual-devel
BuildRequires:	libgpod-devel
BuildRequires:	libifp-devel
BuildRequires:	libofa-devel
BuildRequires:	fftw-devel
BuildRequires:  libX11-devel
BuildRequires:  libart_lgpl-devel
BuildRequires:  glibc-devel
BuildRequires:  dbus-devel
BuildRequires:  expat-devel
BuildRequires:  fam-devel
BuildRequires:  freetype-devel
#BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  gtk2+-devel
BuildRequires:  hal-devel
BuildRequires:  libidn-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  libpng-devel
BuildRequires:  popt
BuildRequires:  qt3-devel
BuildRequires:  ruby-devel
BuildRequires:  libstdc++-devel
BuildRequires:  libtunepimp-devel DirectFB-devel
BuildRequires: 	dbus-qt3-devel libglib-devel
BuildRequires:	libusb-devel
BuildRequires:	libmtp-devel
BuildRequires:	sysfsutils-devel
BuildRequires:	libacl-devel
BuildRequires:	curl-devel
BuildRequires:	openldap-devel
BuildRequires:	cyrus-sasl-devel
BuildConflicts:	qt4-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
amaroK is a music player for Linux and Unix with an intuitive interface.

%post
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%postun
/sbin/ldconfig ||:
%{_bindir}/xdg-icon-resource forceupdate --theme hicolor 2> /dev/null || :
%{_bindir}/xdg-desktop-menu forceupdate 2> /dev/null || :

%prep
%setup -n %{name}-%{version}

%build
# don't enable final code - it's broken !
# enable musicbrainz/tunepimp
./configure \
--prefix=%_prefix \
--with-ifp \
--with-libgpod \
--without-libmtp \
--disable-debug \
--disable-dependency-tracking
make 
#%{?_smp_mflags}

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_datadir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 19 2008 Christian Metzen <metzench@ccux-linux.de> 1.4.10-1
- Version update
* Sat Jul 12 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.9.1-2
- added ruby as Requires (BUG#18)
- changed package group to Multimedia/Audio
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.9.1-1
- version update
* Thu Mar 06 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.8-2
- rebuild, added mtp-device support (libmtp)
* Thu Jan 03 2008 Stefan Gottwald <gotti@ccux-linux.de> 1.4.8-1
- version update
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.7-2
- rebuild against curl 7.17.1
* Sun Aug 19 2007 Christian Wasem <wasem@ccux-linux.de> 1.4.7-1
- version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.6-2
- rebuilt against libgpod 0.5.2
* Mon Jun 18 2007 Christian Metzen <metzench@ccux-linux.de> 1.4.6-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.4.5-1
- version update
* Sun Dec 24 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.4-2
- rebuild against latest SDL & DirectFB
* Mon Oct 30 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.4-1
- Version update
* Thu Sep 28 2006 Christian Metzen <metzench@ccux-linux.de> 1.4.3-2
- rebuild against latest dbus/hal
* Wed Sep 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.3-1
- version update
* Wed Aug 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.2-1
- version update
* Tue Jul 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-2
- 1.4.1 final 
* Mon Jun 19 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.4.1-1
- Version Update, beta 1
* Fri May 19 2006 Christian Wasem <wasem@ccux-linux.de> 1.4.0a-1
- Version Update
* Thu May 18 2006 Christian Wasem <wasem@ccux-linux.de> 1.4.0-1
- Version Update, added IPod and IRiver support
* Wed Mar 29 2006 Christian Wasem <wasem@ccux-linux.de> 1.3.9-1
- Version Update
* Sat Jan 21 2006 Christian Metzen <metzench@ccux-linux.de> 1.3.8-1
- Version Update
* Wed Dec 07 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.7-1
- Version Update
* Tue Nov 08 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.3.6-1
- Version Update
* Tue Oct 25 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.5-1
- Version update
* Mon Oct 24 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.4-1
- Version update
* Mon Oct 10 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.3-1
- Version update
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.2-1
- Version update, added xine-lib dependencies
* Mon Sep 19 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.3.1-2
- activated xine plugin
* Mon Sep 05 2005 Christian Metzen <metzench@ccux-linux.de> 1.3.1-1
- Version update
* Mon Aug 15 2005 Christian Wasem <wasem@ccux-linux.de> 1.3-1
- Update to Version 1.3
* Sat Jul 16 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.4-2
- rebuild for kde-libs
* Sat May 21 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.4-1
- Version Update to 1.2.4
* Wed Mar 30 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.3-1
- Version Update to 1.2.3
* Mon Mar 14 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.2-1
- Version Update to 1.2.2
* Mon Feb 28 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.1-1
- Version Update to 1.2.1
* Sun Feb 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.2-1
- Version Update to 1.2
* Wed Nov 17 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.1-2
- Removed XINE Engine
* Wed Nov 17 2004 Christian Metzen <metzench@ccux-linux.de> 1.1.1-1
- Initial Release
